Create a completion
curl --request POST \
--url https://api.zerobot.ai/v1/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assistant_id": "<string>",
"thread_id": "<string>",
"messages": [
{
"role": "<string>",
"content": [
{
"type": "<string>",
"text": "<string>",
"image_url": {
"url": "<string>"
}
}
]
}
],
"max_tokens": 123
}
'import requests
url = "https://api.zerobot.ai/v1/chat/completions"
payload = {
"assistant_id": "<string>",
"thread_id": "<string>",
"messages": [
{
"role": "<string>",
"content": [
{
"type": "<string>",
"text": "<string>",
"image_url": { "url": "<string>" }
}
]
}
],
"max_tokens": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
assistant_id: '<string>',
thread_id: '<string>',
messages: [
{
role: '<string>',
content: [{type: '<string>', text: '<string>', image_url: {url: '<string>'}}]
}
],
max_tokens: 123
})
};
fetch('https://api.zerobot.ai/v1/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completion": {}
}Modalities
Text generation
Creates a completion for the provided prompt and parameters.
POST
/
v1
/
chat
/
completions
Create a completion
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The ID of the assistant to use to execute this run.
The ID of the thread to use to execute this run.
A list of messages to include in the completion request.
Show child attributes
Show child attributes
The maximum number of tokens to generate in the completion.
Response
200 - application/json
Successful response
A completion object.
⌘I